<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Members</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li class="current"><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>get_active_config_descriptor
: <a class="el" href="class_xs_lib_usb.html#a265aa3c5a9642d1d44afd41f40ba87aa">XsLibUsb</a>
</li>
<li>get_bus_number
: <a class="el" href="class_xs_lib_usb.html#aff83b63e39032132306c14ba8688b3f0">XsLibUsb</a>
</li>
<li>get_device
: <a class="el" href="class_xs_lib_usb.html#a1faf120c17ff09eeefa07a2dfe7085de">XsLibUsb</a>
</li>
<li>get_device_address
: <a class="el" href="class_xs_lib_usb.html#a4f71d3c4c8d45f8a4aecf5be4c9c0c48">XsLibUsb</a>
</li>
<li>get_device_descriptor
: <a class="el" href="class_xs_lib_usb.html#ae6c03b6c6b2f2c3a5734374a8c6578c5">XsLibUsb</a>
</li>
<li>get_device_list
: <a class="el" href="class_xs_lib_usb.html#a415e57bfd0df44ca373806a807f32dfa">XsLibUsb</a>
</li>
<li>get_string_descriptor_ascii
: <a class="el" href="class_xs_lib_usb.html#ad28b4715809e38ebc76df38e21c05f0f">XsLibUsb</a>
</li>
<li>GetAssociatedInterface
: <a class="el" href="class_xs_win_usb.html#ad2de64e0643d7d0aaef813ea41ae41f9">XsWinUsb</a>
</li>
<li>getBaudrate()
: <a class="el" href="class_serial_interface.html#aeb78f2ec8cc9c8f50e404d553d3cff37">SerialInterface</a>
</li>
<li>getBusId()
: <a class="el" href="struct_xs_message.html#af374060ffa44f1223a3b50794567b80d">XsMessage</a>
</li>
<li>getc()
: <a class="el" href="struct_xs_file.html#aef7aef85aed96bf3dad06b2c13d4090e">XsFile</a>
</li>
<li>GetCurrentAlternateSetting
: <a class="el" href="class_xs_win_usb.html#af58e940e4931f713422badcd46845e8a">XsWinUsb</a>
</li>
<li>getData()
: <a class="el" href="struct_xs_message.html#a3130645330d5d90db47d21f69c25a176">XsMessage</a>
</li>
<li>getDataBuffer()
: <a class="el" href="struct_xs_message.html#a050a9bf0e08647aded2c41221874b436">XsMessage</a>
</li>
<li>getDataByte()
: <a class="el" href="struct_xs_message.html#aa832c07e0218b7d4f28073411c31c93d">XsMessage</a>
</li>
<li>getDataDouble()
: <a class="el" href="struct_xs_message.html#a4c2d7ed380cf12545db560e52c228114">XsMessage</a>
</li>
<li>getDataF1220()
: <a class="el" href="struct_xs_message.html#ac91d0780c32bcbc3f4a30c8bbe8e9b1e">XsMessage</a>
</li>
<li>getDataFloat()
: <a class="el" href="struct_xs_message.html#a6f09560bd00c5f3031d1607ad97e195e">XsMessage</a>
</li>
<li>getDataFP1632()
: <a class="el" href="struct_xs_message.html#a130afea9ce982d8242530e87d70ed128">XsMessage</a>
</li>
<li>getDataFPValue()
: <a class="el" href="struct_xs_message.html#aa79002649577ba593af19f9e2d7015b4">XsMessage</a>
</li>
<li>getDataLong()
: <a class="el" href="struct_xs_message.html#a7277ae9ef18adb1289aba58a1d258682">XsMessage</a>
</li>
<li>getDataLongLong()
: <a class="el" href="struct_xs_message.html#aab8ef0b15aaa0317ce2b58b9fe57ca7b">XsMessage</a>
</li>
<li>getDataShort()
: <a class="el" href="struct_xs_message.html#adf33a94be7991c14c62ae9baefda310a">XsMessage</a>
</li>
<li>getDataSize()
: <a class="el" href="struct_xs_message.html#aa76069ebfd730e6dd92837d9d270c512">XsMessage</a>
</li>
<li>GetDescriptor
: <a class="el" href="class_xs_win_usb.html#a61281f53509646905fa81a24d32bf032">XsWinUsb</a>
</li>
<li>getFileDate()
: <a class="el" href="class_io_interface_file.html#a28c28fbac8993d2eeea459ed0f3ddc90">IoInterfaceFile</a>
</li>
<li>getFileName()
: <a class="el" href="class_io_interface_file.html#ad4e42b0d2b33c3fd58355061404f3089">IoInterfaceFile</a>
</li>
<li>getFileSize()
: <a class="el" href="struct_io_interface.html#af7acf94e2070b556290d969a324e8b93">IoInterface</a>
, <a class="el" href="class_io_interface_file.html#afd93d17ccecb4859a08569d10692db94">IoInterfaceFile</a>
</li>
<li>getFPValueSize()
: <a class="el" href="struct_legacy_data_packet.html#a753bff4e6d835ec9b8fed2461ad71da3">LegacyDataPacket</a>
, <a class="el" href="struct_xs_message.html#a21e84556c2ca30ec7528ecf6805923cf">XsMessage</a>
</li>
<li>getHandle()
: <a class="el" href="class_serial_interface.html#ab8cea24693959ca0f5851150cc134962">SerialInterface</a>
</li>
<li>getLastResult()
: <a class="el" href="struct_io_interface.html#af675487959bd1961e7ca815e4abcebee">IoInterface</a>
, <a class="el" href="class_io_interface_file.html#aa3eaa5e537ea2cc4c8d9d81c9b705955">IoInterfaceFile</a>
, <a class="el" href="class_serial_interface.html#a438cc68bd7dccdf526939350d57a9690">SerialInterface</a>
, <a class="el" href="class_usb_interface.html#a400f9078d319698483422bcfec55e65d">UsbInterface</a>
</li>
<li>getLastSystemError()
: <a class="el" href="struct_xs_socket.html#a9d533200142d8b868b4496c3ce094c7f">XsSocket</a>
</li>
<li>getline()
: <a class="el" href="struct_xs_file.html#a1a2e87ad7de67a5de817082825e412f5">XsFile</a>
</li>
<li>getMessageId()
: <a class="el" href="struct_xs_message.html#ade78b0a041be1ab5a3d3d833d67ea187">XsMessage</a>
</li>
<li>getMessageStart()
: <a class="el" href="struct_xs_message.html#a397dbefc38639191f85706cd7be2d436">XsMessage</a>
</li>
<li>getName()
: <a class="el" href="struct_io_interface.html#a7bbdfbb5caad826f6e6d81a73940fd0d">IoInterface</a>
, <a class="el" href="class_io_interface_file.html#a809280e635cbdb2a928577f706ac95af">IoInterfaceFile</a>
</li>
<li>GetOverlappedResult
: <a class="el" href="class_xs_win_usb.html#aa8f3a168bd238fffab85124fb09ff90d">XsWinUsb</a>
</li>
<li>GetPipePolicy
: <a class="el" href="class_xs_win_usb.html#a188ae7e647433069252f73a98ff89553">XsWinUsb</a>
</li>
<li>getPortName()
: <a class="el" href="class_serial_interface.html#a3f6e7a5fb2f1bb03efc085b27a539ed5">SerialInterface</a>
, <a class="el" href="class_usb_interface.html#ac00b6232a58670484307232c9c79a6db">UsbInterface</a>
</li>
<li>getPortNumber()
: <a class="el" href="class_serial_interface.html#af6abb16f34bac12008f08b28f196c65a">SerialInterface</a>
</li>
<li>GetPowerPolicy
: <a class="el" href="class_xs_win_usb.html#a96c1c2c03a6c18feca354a477b9ebee1">XsWinUsb</a>
</li>
<li>getRawIo()
: <a class="el" href="class_usb_interface.html#af99af474c041ab9b517b76655b7b608c">UsbInterface</a>
</li>
<li>getReadPosition()
: <a class="el" href="struct_io_interface.html#a396d5028db152401dd83cfe8f0b6977e">IoInterface</a>
, <a class="el" href="class_io_interface_file.html#a413a76850671300b540b2b7814526b34">IoInterfaceFile</a>
</li>
<li>getRemoteAddress()
: <a class="el" href="struct_xs_socket.html#ada6f41050e867cfbe529c9cb17f859f3">XsSocket</a>
</li>
<li>gets()
: <a class="el" href="struct_xs_file.html#a32f51eaac38c297e890c09e2804a5469">XsFile</a>
</li>
<li>getTimeout()
: <a class="el" href="class_serial_interface.html#a2d2e3a6fedb9f40d1781c5039eadd9e4">SerialInterface</a>
, <a class="el" href="class_stream_interface.html#ad6a8c7d0c4611ff1553472740a01a019">StreamInterface</a>
, <a class="el" href="class_usb_interface.html#a272526477ecb1a148f414a9c1656beac">UsbInterface</a>
</li>
<li>getTotalMessageSize()
: <a class="el" href="struct_xs_message.html#a81f132f355a910cd2dd78edbf5cc6de5">XsMessage</a>
</li>
<li>getValue()
: <a class="el" href="struct_xs_byte_array.html#a9f616ec4c24ba5e4054744ebaf94d884">XsByteArray</a>
</li>
<li>getVidPid()
: <a class="el" href="struct_xs_port_info.html#a742dbb1bba68c171718a62f686ba031c">XsPortInfo</a>
</li>
<li>getWritePosition()
: <a class="el" href="struct_io_interface.html#a6ce051fb4db1dbace80bb0545b9cd343">IoInterface</a>
, <a class="el" href="class_io_interface_file.html#a92f1429038e21bc85cac7f79e1f31446">IoInterfaceFile</a>
</li>
<li>gnssAge()
: <a class="el" href="struct_xs_data_packet.html#a4f233a6b278a9e6895b574c6e3c4c494">XsDataPacket</a>
</li>
<li>gotoRead()
: <a class="el" href="class_io_interface_file.html#a94319925275c7f6d58e66be64526a37e">IoInterfaceFile</a>
</li>
<li>gotoWrite()
: <a class="el" href="class_io_interface_file.html#a7c3188b07427b266ab223b8c2f41a25c">IoInterfaceFile</a>
</li>
<li>gpsPvtData()
: <a class="el" href="struct_legacy_data_packet.html#a349b8db0e4b5110b3ec196923a678d88">LegacyDataPacket</a>
, <a class="el" href="struct_xs_data_packet.html#a39e2eddb96ea9918cd207510b2cce272">XsDataPacket</a>
</li>
<li>m_gdop
: <a class="el" href="struct_xs_raw_gnss_pvt_data.html#a4ef75a87ccb0db60c09292ad1a790894">XsRawGnssPvtData</a>
, <a class="el" href="struct_xs_raw_gps_dop.html#a70851aef75e489a4b90c6c64b0bb8b10">XsRawGpsDop</a>
</li>
<li>m_gnssId
: <a class="el" href="struct_xs_sat_info.html#ab9f3d02781f9cbfa9490513e9e2f4d5b">XsSatInfo</a>
</li>
<li>m_gpsAge
: <a class="el" href="struct_xs_gps_pvt_data.html#a5302ad322cee7fd640c0917a2e4a77f6">XsGpsPvtData</a>
</li>
<li>m_gpsfix
: <a class="el" href="struct_xs_raw_gps_sol.html#a0eb3478be641c21f32551fd2689c5a02">XsRawGpsSol</a>
</li>
<li>m_gpsPvtData
: <a class="el" href="struct_packet_info.html#a548ba0848fb49252dafc6cb28a47057d">PacketInfo</a>
</li>
<li>m_gpsPvtGpsAge
: <a class="el" href="struct_packet_info.html#aaca99e67997d669ccbee30a09f7e241f">PacketInfo</a>
</li>
<li>m_gpsPvtGpsData
: <a class="el" href="struct_packet_info.html#a3a5b8028858d369bfadd9b42beef72c5">PacketInfo</a>
</li>
<li>m_gpsPvtHacc
: <a class="el" href="struct_packet_info.html#accaa27fd3e92b2d43832b609b1858de8">PacketInfo</a>
</li>
<li>m_gpsPvtHeight
: <a class="el" href="struct_packet_info.html#a75eeda72acf5d926e61f5f6887655e41">PacketInfo</a>
</li>
<li>m_gpsPvtItow
: <a class="el" href="struct_packet_info.html#a1c24acc6321a7a89243b542677ca06e4">PacketInfo</a>
</li>
<li>m_gpsPvtLatitude
: <a class="el" href="struct_packet_info.html#a5072f58812db6bb326c16cf72aa20b37">PacketInfo</a>
</li>
<li>m_gpsPvtLongitude
: <a class="el" href="struct_packet_info.html#aa047eae43e739b8ae784c4c261a34b63">PacketInfo</a>
</li>
<li>m_gpsPvtPressure
: <a class="el" href="struct_packet_info.html#ada3e055c1acf5d6c3419efde7d90108c">PacketInfo</a>
</li>
<li>m_gpsPvtPressureAge
: <a class="el" href="struct_packet_info.html#a06c3fa3b9b1c8f0028959adda9cd55bc">PacketInfo</a>
</li>
<li>m_gpsPvtSacc
: <a class="el" href="struct_packet_info.html#a4f7c1592133ceb96fb8239e2bbcd77ff">PacketInfo</a>
</li>
<li>m_gpsPvtVacc
: <a class="el" href="struct_packet_info.html#ad759b0bbcb5ea5fddcc1c3d360846a9a">PacketInfo</a>
</li>
<li>m_gpsPvtVeld
: <a class="el" href="struct_packet_info.html#a66082218102f862aef461e4c9b246cf2">PacketInfo</a>
</li>
<li>m_gpsPvtVele
: <a class="el" href="struct_packet_info.html#a08233c8d24e64fd000972191600d24c1">PacketInfo</a>
</li>
<li>m_gpsPvtVeln
: <a class="el" href="struct_packet_info.html#ae8dd69bd2260b9472aa58a7dd9a87606">PacketInfo</a>
</li>
<li>m_gSpeed
: <a class="el" href="struct_xs_raw_gnss_pvt_data.html#aabfe968528743055521c45f37839e8d8">XsRawGnssPvtData</a>
</li>
<li>m_gyr
: <a class="el" href="struct_xs_calibrated_data.html#a79f4b43f84ccf007d18fb2eab9ffd1c6">XsCalibratedData</a>
, <a class="el" href="struct_xs_scr_data.html#aa366f99f2abb029920072ef2e339e2b2">XsScrData</a>
</li>
<li>m_gyrClippingCounter
: <a class="el" href="struct_xs_snapshot.html#ab57f8d449c1da3b11c2ca8f98974b043">XsSnapshot</a>
</li>
<li>m_gyroTemp
: <a class="el" href="struct_packet_info.html#ac7c3ee179e6a1eadd637eac209c8a0e7">PacketInfo</a>
</li>
</ul>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
